curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#add_keywords' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"ad_group_id": "<string>",
"keywords": [
{
"text": "<string>",
"match_type": "BROAD",
"cpc_bid_micros": 0,
"negative": false
}
],
"customer_id": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Add keywords to an ad group (batch, up to 200). Supports EXACT, PHRASE, and BROAD match types, and negative keywords.
curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#add_keywords' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"ad_group_id": "<string>",
"keywords": [
{
"text": "<string>",
"match_type": "BROAD",
"cpc_bid_micros": 0,
"negative": false
}
],
"customer_id": "<string>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.